# ---- specific SPEC file only for RHEL4 (too much conditional stuff) ----

%{!?php_extdir: %{expand: %%global php_extdir %(php-config --extension-dir)}}

%define pecl_name memcache

Summary:      Extension to work with the Memcached caching daemon
Name:         php-pecl-memcache
Version:      2.1.2
Release:      1%{?dist}.1
License:      PHP
Group:        Development/Languages
URL:          http://pecl.php.net/package/%{pecl_name}

Source:       http://pecl.php.net/get/%{pecl_name}-%{version}.tgz
Patch0:       memcache-php439.patch

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: php-devel, zlib-devel
BuildRequires: autoconf, automake, libtool, openssl-devel
Provides:     php-pecl(%{pecl_name}) = %{version}-%{release}

%description
Memcached is a caching daemon designed especially for
dynamic web applications to decrease database load by
storing objects in memory.

This extension allows you to work with memcached through
handy OO and procedural interfaces.

Memcache can be used as a PHP session handler.

%prep 
%setup -c -q
%patch0 -p0 -b .php439

%build
cd %{pecl_name}-%{version}
phpize
%configure
%{__make} %{?_smp_mflags}


%install
cd %{pecl_name}-%{version}
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{pecl_name}.ini << 'EOF'
; Enable %{pecl_name} extension module
extension=%{pecl_name}.so

; Options for the %{pecl_name} module

; Whether to transparently failover to other servers on errors
;memcache.allow_failover=1

; Defines how many servers to try when setting and getting data.
;memcache.max_failover_attempts=20

; Data will be transferred in chunks of this size
;memcache.chunk_size=8192

; The default TCP port number to use when connecting to the memcached server 
;memcache.default_port=11211

; Options to use the memcache session handler

; Use memcache as a session handler
;session.save_handler=memcache

; Defines a comma separated of server urls to use for session storage
;session.save_path="tcp://localhost:11211?persistent=1&weight=1&timeout=1&retry_interval=15"
EOF


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc %{pecl_name}-%{version}/CREDITS %{pecl_name}-%{version}/README %{pecl_name}-%{version}/example.php
%config(noreplace) %{_sysconfdir}/php.d/%{pecl_name}.ini
%{php_extdir}/%{pecl_name}.so


%changelog
* Sat Sep  1 2007 Remi Collet <Fedora@FamilleCollet.com> 2.1.2-1.el4.1
- specific spec for EL4
- memcache-php439.patch, see http://pecl.php.net/bugs/bug.php?id=11953

* Mon Aug 20 2007 Remi Collet <Fedora@FamilleCollet.com> 2.1.2-1
- initial RPM

